Index: uspace/lib/softfloat/conversion.c
===================================================================
--- uspace/lib/softfloat/conversion.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ uspace/lib/softfloat/conversion.c	(revision f1380b76772fb5d1aa03637b5e57bd9b929fea61)
@@ -42,9 +42,9 @@
 	float64 result;
 	uint64_t frac;
-	
+
 	result.parts.sign = a.parts.sign;
 	result.parts.fraction = a.parts.fraction;
 	result.parts.fraction <<= (FLOAT64_FRACTION_SIZE - FLOAT32_FRACTION_SIZE);
-	
+
 	if ((is_float32_infinity(a)) || (is_float32_nan(a))) {
 		result.parts.exp = FLOAT64_MAX_EXPONENT;
@@ -52,25 +52,25 @@
 		return result;
 	}
-	
+
 	result.parts.exp = a.parts.exp + ((int) FLOAT64_BIAS - FLOAT32_BIAS);
 	if (a.parts.exp == 0) {
 		/* normalize denormalized numbers */
-		
+
 		if (result.parts.fraction == 0) { /* fix zero */
 			result.parts.exp = 0;
 			return result;
 		}
-			
+
 		frac = result.parts.fraction;
-		
+
 		while (!(frac & FLOAT64_HIDDEN_BIT_MASK)) {
 			frac <<= 1;
 			--result.parts.exp;
 		}
-		
+
 		++result.parts.exp;
 		result.parts.fraction = frac;
 	}
-	
+
 	return result;
 }
@@ -81,5 +81,5 @@
 	uint64_t frac_hi, frac_lo;
 	uint64_t tmp_hi, tmp_lo;
-	
+
 	result.parts.sign = a.parts.sign;
 	result.parts.frac_hi = 0;
@@ -90,5 +90,5 @@
 	result.parts.frac_hi = frac_hi;
 	result.parts.frac_lo = frac_lo;
-	
+
 	if ((is_float32_infinity(a)) || (is_float32_nan(a))) {
 		result.parts.exp = FLOAT128_MAX_EXPONENT;
@@ -96,9 +96,9 @@
 		return result;
 	}
-	
+
 	result.parts.exp = a.parts.exp + ((int) FLOAT128_BIAS - FLOAT32_BIAS);
 	if (a.parts.exp == 0) {
 		/* normalize denormalized numbers */
-		
+
 		if (eq128(result.parts.frac_hi,
 		    result.parts.frac_lo, 0x0ll, 0x0ll)) { /* fix zero */
@@ -106,8 +106,8 @@
 			return result;
 		}
-		
+
 		frac_hi = result.parts.frac_hi;
 		frac_lo = result.parts.frac_lo;
-		
+
 		and128(frac_hi, frac_lo,
 		    FLOAT128_HIDDEN_BIT_MASK_HI, FLOAT128_HIDDEN_BIT_MASK_LO,
@@ -117,10 +117,10 @@
 			--result.parts.exp;
 		}
-		
+
 		++result.parts.exp;
 		result.parts.frac_hi = frac_hi;
 		result.parts.frac_lo = frac_lo;
 	}
-	
+
 	return result;
 }
@@ -131,5 +131,5 @@
 	uint64_t frac_hi, frac_lo;
 	uint64_t tmp_hi, tmp_lo;
-	
+
 	result.parts.sign = a.parts.sign;
 	result.parts.frac_hi = 0;
@@ -140,5 +140,5 @@
 	result.parts.frac_hi = frac_hi;
 	result.parts.frac_lo = frac_lo;
-	
+
 	if ((is_float64_infinity(a)) || (is_float64_nan(a))) {
 		result.parts.exp = FLOAT128_MAX_EXPONENT;
@@ -146,9 +146,9 @@
 		return result;
 	}
-	
+
 	result.parts.exp = a.parts.exp + ((int) FLOAT128_BIAS - FLOAT64_BIAS);
 	if (a.parts.exp == 0) {
 		/* normalize denormalized numbers */
-		
+
 		if (eq128(result.parts.frac_hi,
 		    result.parts.frac_lo, 0x0ll, 0x0ll)) { /* fix zero */
@@ -156,8 +156,8 @@
 			return result;
 		}
-		
+
 		frac_hi = result.parts.frac_hi;
 		frac_lo = result.parts.frac_lo;
-		
+
 		and128(frac_hi, frac_lo,
 		    FLOAT128_HIDDEN_BIT_MASK_HI, FLOAT128_HIDDEN_BIT_MASK_LO,
@@ -167,10 +167,10 @@
 			--result.parts.exp;
 		}
-		
+
 		++result.parts.exp;
 		result.parts.frac_hi = frac_hi;
 		result.parts.frac_lo = frac_lo;
 	}
-	
+
 	return result;
 }
@@ -181,10 +181,10 @@
 	int32_t exp;
 	uint64_t frac;
-	
+
 	result.parts.sign = a.parts.sign;
-	
+
 	if (is_float64_nan(a)) {
 		result.parts.exp = FLOAT32_MAX_EXPONENT;
-		
+
 		if (is_float64_signan(a)) {
 			/* set first bit of fraction nonzero */
@@ -192,10 +192,10 @@
 			return result;
 		}
-		
+
 		/* fraction nonzero but its first bit is zero */
 		result.parts.fraction = 0x1;
 		return result;
 	}
-	
+
 	if (is_float64_infinity(a)) {
 		result.parts.fraction = 0;
@@ -203,7 +203,7 @@
 		return result;
 	}
-	
+
 	exp = (int) a.parts.exp - FLOAT64_BIAS + FLOAT32_BIAS;
-	
+
 	if (exp >= FLOAT32_MAX_EXPONENT) {
 		/* FIXME: overflow */
@@ -213,7 +213,7 @@
 	} else if (exp <= 0) {
 		/* underflow or denormalized */
-		
+
 		result.parts.exp = 0;
-		
+
 		exp *= -1;
 		if (exp > FLOAT32_FRACTION_SIZE) {
@@ -222,12 +222,12 @@
 			return result;
 		}
-		
+
 		/* denormalized */
-		
+
 		frac = a.parts.fraction;
 		frac |= FLOAT64_HIDDEN_BIT_MASK; /* denormalize and set hidden bit */
-		
+
 		frac >>= (FLOAT64_FRACTION_SIZE - FLOAT32_FRACTION_SIZE + 1);
-		
+
 		while (exp > 0) {
 			--exp;
@@ -235,8 +235,8 @@
 		}
 		result.parts.fraction = frac;
-		
-		return result;
-	}
-	
+
+		return result;
+	}
+
 	result.parts.exp = exp;
 	result.parts.fraction =
@@ -250,10 +250,10 @@
 	int32_t exp;
 	uint64_t frac_hi, frac_lo;
-	
+
 	result.parts.sign = a.parts.sign;
-	
+
 	if (is_float128_nan(a)) {
 		result.parts.exp = FLOAT32_MAX_EXPONENT;
-		
+
 		if (is_float128_signan(a)) {
 			/* set first bit of fraction nonzero */
@@ -261,10 +261,10 @@
 			return result;
 		}
-		
+
 		/* fraction nonzero but its first bit is zero */
 		result.parts.fraction = 0x1;
 		return result;
 	}
-	
+
 	if (is_float128_infinity(a)) {
 		result.parts.fraction = 0;
@@ -272,7 +272,7 @@
 		return result;
 	}
-	
+
 	exp = (int) a.parts.exp - FLOAT128_BIAS + FLOAT32_BIAS;
-	
+
 	if (exp >= FLOAT32_MAX_EXPONENT) {
 		/* FIXME: overflow */
@@ -282,7 +282,7 @@
 	} else if (exp <= 0) {
 		/* underflow or denormalized */
-		
+
 		result.parts.exp = 0;
-		
+
 		exp *= -1;
 		if (exp > FLOAT32_FRACTION_SIZE) {
@@ -291,17 +291,17 @@
 			return result;
 		}
-		
+
 		/* denormalized */
-		
+
 		frac_hi = a.parts.frac_hi;
 		frac_lo = a.parts.frac_lo;
-		
+
 		/* denormalize and set hidden bit */
 		frac_hi |= FLOAT128_HIDDEN_BIT_MASK_HI;
-		
+
 		rshift128(frac_hi, frac_lo,
 		    (FLOAT128_FRACTION_SIZE - FLOAT32_FRACTION_SIZE + 1),
 		    &frac_hi, &frac_lo);
-		
+
 		while (exp > 0) {
 			--exp;
@@ -309,8 +309,8 @@
 		}
 		result.parts.fraction = frac_lo;
-		
-		return result;
-	}
-	
+
+		return result;
+	}
+
 	result.parts.exp = exp;
 	frac_hi = a.parts.frac_hi;
@@ -328,10 +328,10 @@
 	int32_t exp;
 	uint64_t frac_hi, frac_lo;
-	
+
 	result.parts.sign = a.parts.sign;
-	
+
 	if (is_float128_nan(a)) {
 		result.parts.exp = FLOAT64_MAX_EXPONENT;
-		
+
 		if (is_float128_signan(a)) {
 			/* set first bit of fraction nonzero */
@@ -339,10 +339,10 @@
 			return result;
 		}
-		
+
 		/* fraction nonzero but its first bit is zero */
 		result.parts.fraction = 0x1;
 		return result;
 	}
-	
+
 	if (is_float128_infinity(a)) {
 		result.parts.fraction = 0;
@@ -350,7 +350,7 @@
 		return result;
 	}
-	
+
 	exp = (int) a.parts.exp - FLOAT128_BIAS + FLOAT64_BIAS;
-	
+
 	if (exp >= FLOAT64_MAX_EXPONENT) {
 		/* FIXME: overflow */
@@ -360,7 +360,7 @@
 	} else if (exp <= 0) {
 		/* underflow or denormalized */
-		
+
 		result.parts.exp = 0;
-		
+
 		exp *= -1;
 		if (exp > FLOAT64_FRACTION_SIZE) {
@@ -369,17 +369,17 @@
 			return result;
 		}
-		
+
 		/* denormalized */
-		
+
 		frac_hi = a.parts.frac_hi;
 		frac_lo = a.parts.frac_lo;
-		
+
 		/* denormalize and set hidden bit */
 		frac_hi |= FLOAT128_HIDDEN_BIT_MASK_HI;
-		
+
 		rshift128(frac_hi, frac_lo,
 		    (FLOAT128_FRACTION_SIZE - FLOAT64_FRACTION_SIZE + 1),
 		    &frac_hi, &frac_lo);
-		
+
 		while (exp > 0) {
 			--exp;
@@ -387,8 +387,8 @@
 		}
 		result.parts.fraction = frac_lo;
-		
-		return result;
-	}
-	
+
+		return result;
+	}
+
 	result.parts.exp = exp;
 	frac_hi = a.parts.frac_hi;
@@ -410,16 +410,16 @@
 {
 	uint32_t frac;
-	
+
 	if (a.parts.exp < FLOAT32_BIAS) {
 		/* TODO: rounding */
 		return 0;
 	}
-	
+
 	frac = a.parts.fraction;
-	
+
 	frac |= FLOAT32_HIDDEN_BIT_MASK;
 	/* shift fraction to left so hidden bit will be the most significant bit */
 	frac <<= 32 - FLOAT32_FRACTION_SIZE - 1;
-	
+
 	frac >>= 32 - (a.parts.exp - FLOAT32_BIAS) - 1;
 	if ((a.parts.sign == 1) && (frac != 0)) {
@@ -427,5 +427,5 @@
 		++frac;
 	}
-	
+
 	return frac;
 }
@@ -439,12 +439,12 @@
 	if (is_float32_nan(a))
 		return UINT32_MAX;
-	
+
 	if (is_float32_infinity(a) || (a.parts.exp >= (32 + FLOAT32_BIAS))) {
 		if (a.parts.sign)
 			return UINT32_MIN;
-		
+
 		return UINT32_MAX;
 	}
-	
+
 	return _float32_to_uint32_helper(a);
 }
@@ -458,12 +458,12 @@
 	if (is_float32_nan(a))
 		return INT32_MAX;
-	
+
 	if (is_float32_infinity(a) || (a.parts.exp >= (32 + FLOAT32_BIAS))) {
 		if (a.parts.sign)
 			return INT32_MIN;
-		
+
 		return INT32_MAX;
 	}
-	
+
 	return _float32_to_uint32_helper(a);
 }
@@ -478,16 +478,16 @@
 {
 	uint64_t frac;
-	
+
 	if (a.parts.exp < FLOAT32_BIAS) {
 		// TODO: rounding
 		return 0;
 	}
-	
+
 	frac = a.parts.fraction;
-	
+
 	frac |= FLOAT32_HIDDEN_BIT_MASK;
 	/* shift fraction to left so hidden bit will be the most significant bit */
 	frac <<= 64 - FLOAT32_FRACTION_SIZE - 1;
-	
+
 	frac >>= 64 - (a.parts.exp - FLOAT32_BIAS) - 1;
 	if ((a.parts.sign == 1) && (frac != 0)) {
@@ -495,5 +495,5 @@
 		++frac;
 	}
-	
+
 	return frac;
 }
@@ -507,12 +507,12 @@
 	if (is_float32_nan(a))
 		return UINT64_MAX;
-	
+
 	if (is_float32_infinity(a) || (a.parts.exp >= (64 + FLOAT32_BIAS))) {
 		if (a.parts.sign)
 			return UINT64_MIN;
-		
+
 		return UINT64_MAX;
 	}
-	
+
 	return _float32_to_uint64_helper(a);
 }
@@ -526,12 +526,12 @@
 	if (is_float32_nan(a))
 		return INT64_MAX;
-	
+
 	if (is_float32_infinity(a) || (a.parts.exp >= (64 + FLOAT32_BIAS))) {
 		if (a.parts.sign)
 			return INT64_MIN;
-		
+
 		return INT64_MAX;
 	}
-	
+
 	return _float32_to_uint64_helper(a);
 }
@@ -546,16 +546,16 @@
 {
 	uint64_t frac;
-	
+
 	if (a.parts.exp < FLOAT64_BIAS) {
 		// TODO: rounding
 		return 0;
 	}
-	
+
 	frac = a.parts.fraction;
-	
+
 	frac |= FLOAT64_HIDDEN_BIT_MASK;
 	/* shift fraction to left so hidden bit will be the most significant bit */
 	frac <<= 64 - FLOAT64_FRACTION_SIZE - 1;
-	
+
 	frac >>= 64 - (a.parts.exp - FLOAT64_BIAS) - 1;
 	if ((a.parts.sign == 1) && (frac != 0)) {
@@ -563,5 +563,5 @@
 		++frac;
 	}
-	
+
 	return frac;
 }
@@ -575,12 +575,12 @@
 	if (is_float64_nan(a))
 		return UINT32_MAX;
-	
+
 	if (is_float64_infinity(a) || (a.parts.exp >= (32 + FLOAT64_BIAS))) {
 		if (a.parts.sign)
 			return UINT32_MIN;
-		
+
 		return UINT32_MAX;
 	}
-	
+
 	return (uint32_t) _float64_to_uint64_helper(a);
 }
@@ -594,12 +594,12 @@
 	if (is_float64_nan(a))
 		return INT32_MAX;
-	
+
 	if (is_float64_infinity(a) || (a.parts.exp >= (32 + FLOAT64_BIAS))) {
 		if (a.parts.sign)
 			return INT32_MIN;
-		
+
 		return INT32_MAX;
 	}
-	
+
 	return (int32_t) _float64_to_uint64_helper(a);
 }
@@ -613,12 +613,12 @@
 	if (is_float64_nan(a))
 		return UINT64_MAX;
-	
+
 	if (is_float64_infinity(a) || (a.parts.exp >= (64 + FLOAT64_BIAS))) {
 		if (a.parts.sign)
 			return UINT64_MIN;
-		
+
 		return UINT64_MAX;
 	}
-	
+
 	return _float64_to_uint64_helper(a);
 }
@@ -632,12 +632,12 @@
 	if (is_float64_nan(a))
 		return INT64_MAX;
-	
+
 	if (is_float64_infinity(a) || (a.parts.exp >= (64 + FLOAT64_BIAS))) {
 		if (a.parts.sign)
 			return INT64_MIN;
-		
+
 		return INT64_MAX;
 	}
-	
+
 	return _float64_to_uint64_helper(a);
 }
@@ -652,18 +652,18 @@
 {
 	uint64_t frac_hi, frac_lo;
-	
+
 	if (a.parts.exp < FLOAT128_BIAS) {
 		// TODO: rounding
 		return 0;
 	}
-	
+
 	frac_hi = a.parts.frac_hi;
 	frac_lo = a.parts.frac_lo;
-	
+
 	frac_hi |= FLOAT128_HIDDEN_BIT_MASK_HI;
 	/* shift fraction to left so hidden bit will be the most significant bit */
 	lshift128(frac_hi, frac_lo,
 	    (128 - FLOAT128_FRACTION_SIZE - 1), &frac_hi, &frac_lo);
-	
+
 	rshift128(frac_hi, frac_lo,
 	    (128 - (a.parts.exp - FLOAT128_BIAS) - 1), &frac_hi, &frac_lo);
@@ -672,5 +672,5 @@
 		add128(frac_hi, frac_lo, 0x0ll, 0x1ll, &frac_hi, &frac_lo);
 	}
-	
+
 	return frac_lo;
 }
@@ -684,12 +684,12 @@
 	if (is_float128_nan(a))
 		return UINT32_MAX;
-	
+
 	if (is_float128_infinity(a) || (a.parts.exp >= (32 + FLOAT128_BIAS))) {
 		if (a.parts.sign)
 			return UINT32_MIN;
-		
+
 		return UINT32_MAX;
 	}
-	
+
 	return (uint32_t) _float128_to_uint64_helper(a);
 }
@@ -703,12 +703,12 @@
 	if (is_float128_nan(a))
 		return INT32_MAX;
-	
+
 	if (is_float128_infinity(a) || (a.parts.exp >= (32 + FLOAT128_BIAS))) {
 		if (a.parts.sign)
 			return INT32_MIN;
-		
+
 		return INT32_MAX;
 	}
-	
+
 	return (int32_t) _float128_to_uint64_helper(a);
 }
@@ -722,12 +722,12 @@
 	if (is_float128_nan(a))
 		return UINT64_MAX;
-	
+
 	if (is_float128_infinity(a) || (a.parts.exp >= (64 + FLOAT128_BIAS))) {
 		if (a.parts.sign)
 			return UINT64_MIN;
-		
+
 		return UINT64_MAX;
 	}
-	
+
 	return _float128_to_uint64_helper(a);
 }
@@ -741,12 +741,12 @@
 	if (is_float128_nan(a))
 		return INT64_MAX;
-	
+
 	if (is_float128_infinity(a) || (a.parts.exp >= (64 + FLOAT128_BIAS))) {
 		if (a.parts.sign)
 			return INT64_MIN;
-		
+
 		return INT64_MAX;
 	}
-	
+
 	return _float128_to_uint64_helper(a);
 }
@@ -757,17 +757,17 @@
 	int32_t exp;
 	float32 result;
-	
+
 	result.parts.sign = 0;
 	result.parts.fraction = 0;
-	
+
 	counter = count_zeroes32(i);
-	
+
 	exp = FLOAT32_BIAS + 32 - counter - 1;
-	
+
 	if (counter == 32) {
 		result.bin = 0;
 		return result;
 	}
-	
+
 	if (counter > 0) {
 		i <<= counter - 1;
@@ -775,10 +775,10 @@
 		i >>= 1;
 	}
-	
+
 	round_float32(&exp, &i);
-	
+
 	result.parts.fraction = i >> (32 - FLOAT32_FRACTION_SIZE - 2);
 	result.parts.exp = exp;
-	
+
 	return result;
 }
@@ -787,12 +787,12 @@
 {
 	float32 result;
-	
+
 	if (i < 0)
 		result = uint32_to_float32((uint32_t) (-i));
 	else
 		result = uint32_to_float32((uint32_t) i);
-	
+
 	result.parts.sign = i < 0;
-	
+
 	return result;
 }
@@ -804,17 +804,17 @@
 	uint32_t j;
 	float32 result;
-	
+
 	result.parts.sign = 0;
 	result.parts.fraction = 0;
-	
+
 	counter = count_zeroes64(i);
-	
+
 	exp = FLOAT32_BIAS + 64 - counter - 1;
-	
+
 	if (counter == 64) {
 		result.bin = 0;
 		return result;
 	}
-	
+
 	/* Shift all to the first 31 bits (31st will be hidden 1) */
 	if (counter > 33) {
@@ -823,8 +823,8 @@
 		i >>= 1 + 32 - counter;
 	}
-	
+
 	j = (uint32_t) i;
 	round_float32(&exp, &j);
-	
+
 	result.parts.fraction = j >> (32 - FLOAT32_FRACTION_SIZE - 2);
 	result.parts.exp = exp;
@@ -835,12 +835,12 @@
 {
 	float32 result;
-	
+
 	if (i < 0)
 		result = uint64_to_float32((uint64_t) (-i));
 	else
 		result = uint64_to_float32((uint64_t) i);
-	
+
 	result.parts.sign = i < 0;
-	
+
 	return result;
 }
@@ -852,25 +852,25 @@
 	float64 result;
 	uint64_t frac;
-	
+
 	result.parts.sign = 0;
 	result.parts.fraction = 0;
-	
+
 	counter = count_zeroes32(i);
-	
+
 	exp = FLOAT64_BIAS + 32 - counter - 1;
-	
+
 	if (counter == 32) {
 		result.bin = 0;
 		return result;
 	}
-	
+
 	frac = i;
 	frac <<= counter + 32 - 1;
-	
+
 	round_float64(&exp, &frac);
-	
+
 	result.parts.fraction = frac >> (64 - FLOAT64_FRACTION_SIZE - 2);
 	result.parts.exp = exp;
-	
+
 	return result;
 }
@@ -879,12 +879,12 @@
 {
 	float64 result;
-	
+
 	if (i < 0)
 		result = uint32_to_float64((uint32_t) (-i));
 	else
 		result = uint32_to_float64((uint32_t) i);
-	
+
 	result.parts.sign = i < 0;
-	
+
 	return result;
 }
@@ -895,17 +895,17 @@
 	int32_t exp;
 	float64 result;
-	
+
 	result.parts.sign = 0;
 	result.parts.fraction = 0;
-	
+
 	counter = count_zeroes64(i);
-	
+
 	exp = FLOAT64_BIAS + 64 - counter - 1;
-	
+
 	if (counter == 64) {
 		result.bin = 0;
 		return result;
 	}
-	
+
 	if (counter > 0) {
 		i <<= counter - 1;
@@ -913,7 +913,7 @@
 		i >>= 1;
 	}
-	
+
 	round_float64(&exp, &i);
-	
+
 	result.parts.fraction = i >> (64 - FLOAT64_FRACTION_SIZE - 2);
 	result.parts.exp = exp;
@@ -924,12 +924,12 @@
 {
 	float64 result;
-	
+
 	if (i < 0)
 		result = uint64_to_float64((uint64_t) (-i));
 	else
 		result = uint64_to_float64((uint64_t) i);
-	
+
 	result.parts.sign = i < 0;
-	
+
 	return result;
 }
@@ -941,13 +941,13 @@
 	float128 result;
 	uint64_t frac_hi, frac_lo;
-	
+
 	result.parts.sign = 0;
 	result.parts.frac_hi = 0;
 	result.parts.frac_lo = 0;
-	
+
 	counter = count_zeroes32(i);
-	
+
 	exp = FLOAT128_BIAS + 32 - counter - 1;
-	
+
 	if (counter == 32) {
 		result.bin.hi = 0;
@@ -955,11 +955,11 @@
 		return result;
 	}
-	
+
 	frac_hi = 0;
 	frac_lo = i;
 	lshift128(frac_hi, frac_lo, (counter + 96 - 1), &frac_hi, &frac_lo);
-	
+
 	round_float128(&exp, &frac_hi, &frac_lo);
-	
+
 	rshift128(frac_hi, frac_lo,
 	    (128 - FLOAT128_FRACTION_SIZE - 2), &frac_hi, &frac_lo);
@@ -967,5 +967,5 @@
 	result.parts.frac_lo = frac_lo;
 	result.parts.exp = exp;
-	
+
 	return result;
 }
@@ -974,12 +974,12 @@
 {
 	float128 result;
-	
+
 	if (i < 0)
 		result = uint32_to_float128((uint32_t) (-i));
 	else
 		result = uint32_to_float128((uint32_t) i);
-	
+
 	result.parts.sign = i < 0;
-	
+
 	return result;
 }
@@ -992,13 +992,13 @@
 	float128 result;
 	uint64_t frac_hi, frac_lo;
-	
+
 	result.parts.sign = 0;
 	result.parts.frac_hi = 0;
 	result.parts.frac_lo = 0;
-	
+
 	counter = count_zeroes64(i);
-	
+
 	exp = FLOAT128_BIAS + 64 - counter - 1;
-	
+
 	if (counter == 64) {
 		result.bin.hi = 0;
@@ -1006,11 +1006,11 @@
 		return result;
 	}
-	
+
 	frac_hi = 0;
 	frac_lo = i;
 	lshift128(frac_hi, frac_lo, (counter + 64 - 1), &frac_hi, &frac_lo);
-	
+
 	round_float128(&exp, &frac_hi, &frac_lo);
-	
+
 	rshift128(frac_hi, frac_lo,
 	    (128 - FLOAT128_FRACTION_SIZE - 2), &frac_hi, &frac_lo);
@@ -1018,5 +1018,5 @@
 	result.parts.frac_lo = frac_lo;
 	result.parts.exp = exp;
-	
+
 	return result;
 }
@@ -1025,12 +1025,12 @@
 {
 	float128 result;
-	
+
 	if (i < 0)
 		result = uint64_to_float128((uint64_t) (-i));
 	else
 		result = uint64_to_float128((uint64_t) i);
-	
+
 	result.parts.sign = i < 0;
-	
+
 	return result;
 }
@@ -1042,5 +1042,5 @@
 	float32_u res;
 	res.data = int32_to_float32(i);
-	
+
 	return res.val;
 }
@@ -1050,5 +1050,5 @@
 	float32_u res;
 	res.data = int64_to_float32(i);
-	
+
 	return res.val;
 }
@@ -1058,5 +1058,5 @@
 	float32_u res;
 	res.data = uint32_to_float32(i);
-	
+
 	return res.val;
 }
@@ -1066,5 +1066,5 @@
 	float32_u res;
 	res.data = uint64_to_float32(i);
-	
+
 	return res.val;
 }
@@ -1074,5 +1074,5 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	return float32_to_int32(ua.data);
 }
@@ -1082,5 +1082,5 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	return float32_to_int64(ua.data);
 }
@@ -1090,5 +1090,5 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	return float32_to_uint32(ua.data);
 }
@@ -1098,5 +1098,5 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	return float32_to_uint64(ua.data);
 }
@@ -1106,5 +1106,5 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	return float32_to_int32(ua.data);
 }
@@ -1114,5 +1114,5 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	return float32_to_uint32(ua.data);
 }
@@ -1122,5 +1122,5 @@
 	float32_u res;
 	res.data = int32_to_float32(i);
-	
+
 	return res.val;
 }
@@ -1130,5 +1130,5 @@
 	float32_u res;
 	res.data = int64_to_float32(i);
-	
+
 	return res.val;
 }
@@ -1138,5 +1138,5 @@
 	float32_u res;
 	res.data = uint32_to_float32(i);
-	
+
 	return res.val;
 }
@@ -1146,5 +1146,5 @@
 	float32_u res;
 	res.data = uint64_to_float32(i);
-	
+
 	return res.val;
 }
@@ -1158,5 +1158,5 @@
 	float64_u res;
 	res.data = int32_to_float64(i);
-	
+
 	return res.val;
 }
@@ -1166,5 +1166,5 @@
 	float64_u res;
 	res.data = int64_to_float64(i);
-	
+
 	return res.val;
 }
@@ -1174,5 +1174,5 @@
 	float64_u res;
 	res.data = uint32_to_float64(i);
-	
+
 	return res.val;
 }
@@ -1182,5 +1182,5 @@
 	float64_u res;
 	res.data = uint64_to_float64(i);
-	
+
 	return res.val;
 }
@@ -1190,5 +1190,5 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	return float64_to_uint32(ua.data);
 }
@@ -1198,5 +1198,5 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	return float64_to_uint64(ua.data);
 }
@@ -1206,5 +1206,5 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	return float64_to_int32(ua.data);
 }
@@ -1214,5 +1214,5 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	return float64_to_int64(ua.data);
 }
@@ -1222,5 +1222,5 @@
 	float64_u res;
 	res.data = int32_to_float64(i);
-	
+
 	return res.val;
 }
@@ -1230,5 +1230,5 @@
 	float64_u res;
 	res.data = uint32_to_float64(i);
-	
+
 	return res.val;
 }
@@ -1238,5 +1238,5 @@
 	float64_u res;
 	res.data = int64_to_float64(i);
-	
+
 	return res.val;
 }
@@ -1246,5 +1246,5 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	return float64_to_int32(ua.data);
 }
@@ -1254,5 +1254,5 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	return float64_to_int64(ua.data);
 }
@@ -1262,5 +1262,5 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	return float64_to_uint32(ua.data);
 }
@@ -1274,5 +1274,5 @@
 	float128_u res;
 	res.data = int32_to_float128(i);
-	
+
 	return res.val;
 }
@@ -1282,5 +1282,5 @@
 	float128_u res;
 	res.data = int64_to_float128(i);
-	
+
 	return res.val;
 }
@@ -1290,5 +1290,5 @@
 	float128_u res;
 	res.data = uint32_to_float128(i);
-	
+
 	return res.val;
 }
@@ -1298,5 +1298,5 @@
 	float128_u res;
 	res.data = uint64_to_float128(i);
-	
+
 	return res.val;
 }
@@ -1306,5 +1306,5 @@
 	float128_u ua;
 	ua.val = a;
-	
+
 	return float128_to_int32(ua.data);
 }
@@ -1314,5 +1314,5 @@
 	float128_u ua;
 	ua.val = a;
-	
+
 	return float128_to_uint64(ua.data);
 }
@@ -1322,5 +1322,5 @@
 	float128_u ua;
 	ua.val = a;
-	
+
 	return float128_to_uint32(ua.data);
 }
@@ -1330,5 +1330,5 @@
 	float128_u ua;
 	ua.val = a;
-	
+
 	return float128_to_uint64(ua.data);
 }
@@ -1382,8 +1382,8 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	float32_u res;
 	res.data = float64_to_float32(ua.data);
-	
+
 	return res.val;
 }
@@ -1393,8 +1393,8 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	float64_u res;
 	res.data = float32_to_float64(ua.data);
-	
+
 	return res.val;
 }
@@ -1404,8 +1404,8 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	float64_u res;
 	res.data = float32_to_float64(ua.data);
-	
+
 	return res.val;
 }
@@ -1415,8 +1415,8 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	float32_u res;
 	res.data = float64_to_float32(ua.data);
-	
+
 	return res.val;
 }
@@ -1430,8 +1430,8 @@
 	float128_u ua;
 	ua.val = a;
-	
+
 	float32_u res;
 	res.data = float128_to_float32(ua.data);
-	
+
 	return res.val;
 }
@@ -1441,8 +1441,8 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	float128_u res;
 	res.data = float32_to_float128(ua.data);
-	
+
 	return res.val;
 }
@@ -1466,8 +1466,8 @@
 	float128_u ua;
 	ua.val = a;
-	
+
 	float64_u res;
 	res.data = float128_to_float64(ua.data);
-	
+
 	return res.val;
 }
@@ -1477,8 +1477,8 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	float128_u res;
 	res.data = float64_to_float128(ua.data);
-	
+
 	return res.val;
 }
